<ion-header>
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-back-button></ion-back-button>
        </ion-buttons>
        <ion-title>Register</ion-title>
    </ion-toolbar>
</ion-header>

<ion-content>

    <ion-grid class="ion-padding">
        <ion-row>
            <ion-col size="12">
                <h3> Welcome to Hero Hub!</h3>
            </ion-col>
        </ion-row>
        <br>
        <ion-row>
            <ion-col size="12">
                <form [formGroup]="form">
                    <ion-item>
                        <ion-label>
                            <ion-icon color="primary" name="person-outline"></ion-icon>
                        </ion-label>
                        <ion-input formControlName="name" placeholder="Name" type="text"></ion-input>
                    </ion-item>
                    <div *ngFor="let error of errorMessages.name">
                        <ng-container *ngIf="name.hasError(error.type) && (name.dirty || name.touched)">
                            <small>{{error.message}}</small>
                        </ng-container>
                    </div>

                    <br>
                    <ion-item>
                        <ion-label>
                            <ion-icon color="primary" name="person-outline"></ion-icon>
                        </ion-label>
                        <ion-input formControlName="age" placeholder="Age" type="number" min="0"></ion-input>
                    </ion-item>
                    <div *ngFor="let error of errorMessages.age">
                        <ng-container *ngIf="age.hasError(error.type) && (age.dirty || age.touched)">
                            <small>{{error.message}}</small>
                        </ng-container>
                    </div>

                    <br>
                    <ion-item>
                        <ion-label>
                            <ion-icon color="primary" name="person-outline"></ion-icon>
                        </ion-label>
                        <ion-textarea formControlName="address" placeholder="address" rows="3"></ion-textarea>
                    </ion-item>
                    <div *ngFor="let error of errorMessages.address">
                        <ng-container *ngIf="address.hasError(error.type) && (address.dirty || address.touched)">
                            <small>{{error.message}}</small>
                        </ng-container>
                    </div>

                    <br>
                    <ion-item>
                        <ion-label>
                            <ion-icon color="primary" name="person-outline"></ion-icon>
                        </ion-label>
                        <ion-input formControlName="email" placeholder="email" type="text"></ion-input>
                    </ion-item>
                    <div *ngFor="let error of errorMessages.email">
                        <ng-container *ngIf="email.hasError(error.type) && (email.dirty || email.touched)">
                            <small>{{error.message}}</small>
                        </ng-container>
                    </div>

                    <br>
                    <ion-item>
                        <ion-label>
                            <ion-icon color="primary" name="lock-closed-outline"></ion-icon>
                        </ion-label>
                        <ion-input formControlName="password" placeholder="Password" type="password"></ion-input>
                    </ion-item>
                    <div *ngFor="let error of errorMessages.password">
                        <ng-container *ngIf="password.hasError(error.type) && (password.dirty || password.touched)">
                            <small>{{error.message}}</small>
                        </ng-container>
                    </div>

                    <br>
                    <ion-button expand="block" mode="ios" type="submit" (click)="register()"> Register</ion-button>

                </form>
            </ion-col>
        </ion-row>
    </ion-grid>
</ion-content>